org.eclipse.wst.jsdt.js.cli.core

## Class CLI

- java.lang.Object
- - org.eclipse.wst.jsdt.js.cli.core.CLI

    public class CLI
    extends java.lang.Object

Wrapper around CLI. Provides low level access to CLI.

### Constructor Summary

Constructors
Constructor and Description
`CLI(IProject project, IPath workingDir, CLICommand command)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CLIResult` `execute(IProgressMonitor monitor)`
`protected void` `sendCLICommand(IProcess process, CLICommand command, IProgressMonitor monitor)`
`IProcess` `startShell(IStreamListener listener, IProgressMonitor monitor, ILaunchConfiguration launchConfiguration)`
`protected void` `throwExceptionIfError(CLIResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLI

    public CLI(IProject project,
               IPath workingDir,
               CLICommand command)

### Method Detail

#### execute

    public CLIResult execute(IProgressMonitor monitor)
                      throws CoreException

Throws:
  `CoreException`

#### sendCLICommand

    protected void sendCLICommand(IProcess process,
                                  CLICommand command,
                                  IProgressMonitor monitor)
                           throws CoreException

Throws:
  `CoreException`

#### startShell

    public IProcess startShell(IStreamListener listener,
                               IProgressMonitor monitor,
                               ILaunchConfiguration launchConfiguration)
                        throws CoreException

Throws:
  `CoreException`

#### throwExceptionIfError

    protected void throwExceptionIfError(CLIResult result)
                                  throws CoreException

Throws:
  `CoreException`